Skip to main content
PUT

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

rulesetId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
rulesetConfig
object
workspaceId
string<uuid>

Workspace ID that the ruleset belongs to.

Response

Created.

id
string<uuid>
required

ID of Ruleset.

version
number
required

Ruleset version.

trigger
object
required

An action that determines when the rules should be evaluated.

defaultAction
Set capture mode. · object
required

Default action to execute if none of rule conditions are fulfilled.

createdAt
string<date-time>

Creation date of the ruleset.

rules
Rule. · object[]

Rules what need to be evaluated to execute or an action defined by a rule, which condition is fulfilled, or default action if none of conditions are fulfilled.

Last modified on October 5, 2026